%define api 2.0
%define major 0

%define libphodav %mklibname phodav %api %major
%define libphodavdevel %mklibname phodav -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		phodav
Version:	2.5
Release:	%mkrel 1
Summary:	A WebDAV server using libsoup
Group:		System/Servers
License:	LGPLv2+
URL:		https://wiki.gnome.org/phodav
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	asciidoc
BuildRequires:	gtk-doc
BuildRequires:	xmlto

%description
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package i18n
Group:		System/Internationalization
Summary:	Translation files for %{name}
BuildArch:	noarch

%description i18n
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package -n     %{libphodav}
Group:		System/Libraries
Summary:        A library to serve files with WebDAV
Requires:	%{name}-i18n

%description -n %{libphodav}
phởdav is a WebDAV server implementation using libsoup (RFC 4918).
This package provides the library.

%package -n     %{libphodavdevel}
Group:		Development/Libraries
Summary:        Development files for libphodav
Requires:       %{libphodav} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libphodavdevel}
The libphodav-devel package includes the header files for libphodav.

%package -n     chezdav
Group:		System/Servers
Summary:        A simple WebDAV server program

%description -n chezdav
The chezdav package contains a simple tool to share a directory
with WebDAV. The service is announced over mDNS for clients to discover.


%prep
%setup -q

%build
%meson -Davahi=enabled
%meson_build

%install
%meson_install

rm -f %buildroot/%{_sbindir}/spice-webdavd
rm -f %buildroot/lib/udev/rules.d/70-spice-webdavd.rules

%find_lang phodav --with-gnome --all-name

%files i18n -f %{name}.lang

%files -n %{libphodav}
%{_libdir}/libphodav-%{api}.so.%{major}
%{_libdir}/libphodav-%{api}.so.%{major}.*

%files -n %{libphodavdevel}
%{_includedir}/libphodav-%{api}
%{_libdir}/libphodav-%{api}.so
%{_libdir}/pkgconfig/libphodav-%{api}.pc
%{_datadir}/gtk-doc/html/phodav-%{api}

%files -n chezdav
%{_bindir}/chezdav
%{_mandir}/man1/chezdav.1*




%changelog
* Thu Jan 14 2021 tex - 2.5-1pclos2021
- 2.5
